diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategy.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategy.java
new file mode 100644
index 0000000000..0de1c4ffae
--- /dev/null
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategy.java
@@ -0,0 +1,269 @@
+// $Id$
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.api.facade;
+
+import java.util.UUID;
+
+import org.apache.commons.lang.StringUtils;
+import org.apache.log4j.Logger;
+
+import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.model.agent.AgentBase;
+import eu.etaxonomy.cdm.model.agent.Institution;
+import eu.etaxonomy.cdm.model.agent.Person;
+import eu.etaxonomy.cdm.model.agent.Team;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.Representation;
+import eu.etaxonomy.cdm.model.common.TimePeriod;
+import eu.etaxonomy.cdm.model.location.NamedArea;
+import eu.etaxonomy.cdm.model.occurrence.Collection;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
+import eu.etaxonomy.cdm.strategy.StrategyBase;
+import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
+
+/**
+ * @author a.mueller
+ * @date 03.06.2010
+ *
+ */
+public class DerivedUnitFacadeFieldUnitCacheStrategy extends StrategyBase implements IIdentifiableEntityCacheStrategy<FieldUnit> {
+	private static final long serialVersionUID = 1578628591216605619L;
+	private static final Logger logger = Logger.getLogger(DerivedUnitFacadeFieldUnitCacheStrategy.class);
+
+	private static final UUID uuid = UUID.fromString("df4672c1-ce5c-4724-af6d-91e2b326d4a4");
+	
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.strategy.StrategyBase#getUuid()
+	 */
+	@Override
+	protected UUID getUuid() {
+		return uuid;
+	}
+
+	private boolean includeEmptySeconds = false;
+	private boolean includeReferenceSystem = true;
+	
+
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy#getTitleCache(eu.etaxonomy.cdm.model.common.IdentifiableEntity)
+	 */
+	@Override
+	public String getTitleCache(FieldUnit fieldUnit) {
+		DerivedUnitFacade facade;
+		String result = "";
+		DerivedUnitFacadeConfigurator config = DerivedUnitFacadeConfigurator.NewInstance();
+		config.setFirePropertyChangeEvents(false);
+		facade = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.FieldUnit, fieldUnit, config);
+		result = getFieldData(facade);	
+		result = addPlantDescription(result, facade);
+		facade.close();
+		return result;
+	}
+	
+
+	protected String getFieldData(DerivedUnitFacade facade) {
+		String ALTITUDE_PREFIX = "alt. ";
+		String ALTITUDE_POSTFIX = " m";
+		
+		String result = "";
+		
+			
+		//country
+		String strCountry = null;
+		NamedArea country = facade.getCountry();
+		Representation repCountry = country == null ? null : country.getRepresentation(Language.DEFAULT());
+		//TODO currently the label is the 3 digit representation of the country and text is the full text.
+		//this is against the common way of handling text, label and labelabbrev in defined terms
+		strCountry = repCountry == null ? null: repCountry.getText();
+		result = CdmUtils.concat(", ", result, strCountry);
+		
+		//locality
+		result = CdmUtils.concat(", ", result, facade.getLocalityText());
+		
+		//elevation
+		if (StringUtils.isNotBlank(facade.absoluteElevationToString())){
+			result = CdmUtils.concat(", " , result, ALTITUDE_PREFIX);
+			result += facade.absoluteElevationToString() + ALTITUDE_POSTFIX;
+		}
+		
+		//exact locality
+		if (facade.getExactLocation() != null){
+			String exactLocation = facade.getExactLocation().toSexagesimalString(this.includeEmptySeconds, this.includeReferenceSystem);
+			result = CdmUtils.concat(", ", result, exactLocation);
+		}
+		
+		//ecology
+		result = CdmUtils.concat(", ", result, facade.getEcology());
+		
+		//gathering period
+		//TODO period.toString ??
+		TimePeriod gatheringPeriod = facade.getGatheringPeriod();
+		result = CdmUtils.concat(", ", result, (gatheringPeriod == null? null : gatheringPeriod.toString()));
+		
+		//collector (team) and field number
+		String collectorAndFieldNumber = getCollectorAndFieldNumber(facade);
+		result = CdmUtils.concat(", ", result, collectorAndFieldNumber);
+
+		
+		return result;
+	}
+	
+
+	protected String addPlantDescription(String result, DerivedUnitFacade facade) {
+		
+		//plant description
+		result = CdmUtils.concat("; ", result, facade.getPlantDescription());
+		if (CdmUtils.isNotEmpty(result)){
+			result += ".";
+		}
+		
+		return result;
+	}
+
+
+
+	private String getCollectorAndFieldNumber(DerivedUnitFacade facade) {
+		String result = "";
+		AgentBase<?> collector = facade.getCollector();
+		String fieldNumber = facade.getFieldNumber();
+		Person primaryCollector = facade.getPrimaryCollector();
+		
+		if (collector == null){
+			return fieldNumber;
+		}else if(collector.isProtectedTitleCache()){
+			return  CdmUtils.concat(" ", collector.getTitleCache(), fieldNumber);
+		}else{
+			result = "";
+			Team collectorTeam;
+			if (collector.isInstanceOf(Person.class)){
+				collectorTeam = Team.NewInstance();
+				if (primaryCollector == null){
+					primaryCollector = CdmBase.deproxy(collector, Person.class);
+				}
+				collectorTeam.addTeamMember(primaryCollector);
+			} else if (collector.isInstanceOf(Team.class) && ! collector.isProtectedTitleCache() ){
+				collectorTeam = CdmBase.deproxy(collector, Team.class);
+			}else{
+				return  CdmUtils.concat(" ", collector.getTitleCache(), fieldNumber);
+			}
+			
+			int counter = 0;
+			int teamSize = collectorTeam.getTeamMembers().size();
+			boolean fieldNumberAdded = false;
+			for (Person member : collectorTeam.getTeamMembers()){
+				counter++;
+				String concatString = (counter >= teamSize)? " & " : ", "; 
+				result = CdmUtils.concat(concatString, result, getMemberString(member) );
+				if (member.equals(primaryCollector)){
+					result = addFieldNumber(result, fieldNumber);
+					fieldNumberAdded = true;
+				}
+			}
+			if (! fieldNumberAdded){
+				result = addFieldNumber(result, fieldNumber);
+			}
+			return result;
+		}
+		
+	}
+
+
+
+	private String addFieldNumber(String result, String fieldNumber) {
+		result = CdmUtils.concat(" ", result, fieldNumber);
+		return result;
+	}
+
+
+
+	/**
+	 * Strategy to format a collector team member name
+	 * @param member
+	 * @return
+	 */
+	private String getMemberString(Person member) {
+		if (StringUtils.isNotBlank(member.getLastname()) && ! member.isProtectedTitleCache() ){
+			String result = member.getLastname();
+			if  (StringUtils.isNotBlank(member.getFirstname())){
+				result = member.getFirstname().substring(0,1) + ". " + result;
+			}
+			return result;
+		}else{
+			return member.getTitleCache();
+		}
+	}
+
+
+
+	private boolean testPrimaryCollectorInCollectorTeam(AgentBase collector, Person primaryCollector) {
+		if (collector.isInstanceOf(Person.class)){
+			return collector.equals(primaryCollector);
+		}else if (collector.isInstanceOf(Team.class)){
+			Team collectorTeam = CdmBase.deproxy(collector, Team.class);
+			return collectorTeam.getTeamMembers().contains(primaryCollector);
+		}else{
+			logger.warn("Collector is not of type person or team");
+			return false;
+		}
+	}
+
+
+
+	/**
+	 * @param facade
+	 */
+	private String getCode(DerivedUnitFacade facade) {
+		String code = "";
+		if(facade.getCollection() != null){			
+			code = facade.getCollection().getCode();
+			if (CdmUtils.isEmpty(code)){
+				Institution institution = facade.getCollection().getInstitute();
+				if (institution != null){
+					code = institution.getCode();
+				}
+				if (CdmUtils.isEmpty(code)){
+					Collection superCollection = facade.getCollection().getSuperCollection();
+					if (superCollection != null){
+						code = superCollection.getCode();
+					}
+				}
+			}
+		} 
+		return code;
+	}
+	
+// ************************** GETTER / SETTER ******************************************************
+	
+	public boolean isIncludeSeconds() {
+		return includeEmptySeconds;
+	}
+
+
+
+	public void setIncludeSeconds(boolean includeSeconds) {
+		this.includeEmptySeconds = includeSeconds;
+	}
+
+
+
+	public void setIncludeReferenceSystem(boolean includeReferenceSystem) {
+		this.includeReferenceSystem = includeReferenceSystem;
+	}
+
+
+
+	public boolean isIncludeReferenceSystem() {
+		return includeReferenceSystem;
+	}
+
+	
+}
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IOccurrenceService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IOccurrenceService.java
index 55cd5244b3..47459cce5a 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IOccurrenceService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/IOccurrenceService.java
@@ -35,7 +35,7 @@ import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
@@ -136,7 +136,7 @@ public interface IOccurrenceService extends IIdentifiableEntityService<SpecimenO
     @Override
     public Pager<SpecimenOrObservationBase> search(Class<? extends SpecimenOrObservationBase> clazz, String query, Integer pageSize,Integer pageNumber, List<OrderHint> orderHints,List<String> propertyPaths);
 
-    public List<UuidAndTitleCache<FieldObservation>> getFieldObservationUuidAndTitleCache();
+    public List<UuidAndTitleCache<FieldUnit>> getFieldUnitUuidAndTitleCache();
 
     public List<UuidAndTitleCache<DerivedUnit>> getDerivedUnitUuidAndTitleCache();
 
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/OccurrenceServiceImpl.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/OccurrenceServiceImpl.java
index 0fa127a25b..870b6ffc34 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/OccurrenceServiceImpl.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/OccurrenceServiceImpl.java
@@ -56,7 +56,7 @@ import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
@@ -199,8 +199,8 @@ public class OccurrenceServiceImpl extends IdentifiableServiceBase<SpecimenOrObs
     }
 
     @Override
-    public List<UuidAndTitleCache<FieldObservation>> getFieldObservationUuidAndTitleCache() {
-        return dao.getFieldObservationUuidAndTitleCache();
+    public List<UuidAndTitleCache<FieldUnit>> getFieldUnitUuidAndTitleCache() {
+        return dao.getFieldUnitUuidAndTitleCache();
     }
 
     /* (non-Javadoc)
@@ -338,7 +338,7 @@ public class OccurrenceServiceImpl extends IdentifiableServiceBase<SpecimenOrObs
         BooleanQuery finalQuery = new BooleanQuery();
         BooleanQuery textQuery = new BooleanQuery();
 
-        LuceneSearch luceneSearch = new LuceneSearch(getSession(), FieldObservation.class);
+        LuceneSearch luceneSearch = new LuceneSearch(getSession(), FieldUnit.class);
         QueryFactory queryFactory = new QueryFactory(luceneSearch);
 
         // --- criteria
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java
index 2017fbe121..76db4255a7 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java
@@ -32,7 +32,7 @@ import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
 import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
 import eu.etaxonomy.cdm.test.integration.CdmIntegrationTest;
@@ -48,7 +48,7 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 
 	DerivedUnit specimen;
 	DerivationEvent derivationEvent;
-	FieldObservation fieldObservation;
+	FieldUnit fieldUnit;
 	GatheringEvent gatheringEvent;
 	Integer absoluteElevation = 40;
 	Integer absoluteElevationError = 2;
@@ -87,7 +87,7 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 	DerivedUnit collectionSpecimen;
 	GatheringEvent existingGatheringEvent;
 	DerivationEvent firstDerivationEvent;
-	FieldObservation firstFieldObject;
+	FieldUnit firstFieldObject;
 	Media media1 = Media.NewInstance();
 
 
@@ -112,10 +112,10 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 
 		derivationEvent = DerivationEvent.NewInstance(DerivationEventType.ACCESSIONING());
 		specimen.setDerivedFrom(derivationEvent);
-		fieldObservation = FieldObservation.NewInstance();
-		fieldObservation.addDerivationEvent(derivationEvent);
+		fieldUnit = FieldUnit.NewInstance();
+		fieldUnit.addDerivationEvent(derivationEvent);
 		gatheringEvent = GatheringEvent.NewInstance();
-		fieldObservation.setGatheringEvent(gatheringEvent);
+		fieldUnit.setGatheringEvent(gatheringEvent);
 		gatheringEvent.setAbsoluteElevation(absoluteElevation);
 //		gatheringEvent.setAbsoluteElevationError(absoluteElevationError);
 		gatheringEvent.setActor(collector);
@@ -129,11 +129,11 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 		gatheringEvent.setLocality(locality);
 		gatheringEvent.setCountry(country);
 
-		fieldObservation.setFieldNumber(fieldNumber);
-		fieldObservation.setFieldNotes(fieldNotes);
-		fieldObservation.setIndividualCount(individualCount);
-		fieldObservation.setSex(sex);
-		fieldObservation.setLifeStage(lifeStage);
+		fieldUnit.setFieldNumber(fieldNumber);
+		fieldUnit.setFieldNotes(fieldNotes);
+		fieldUnit.setIndividualCount(individualCount);
+		fieldUnit.setSex(sex);
+		fieldUnit.setLifeStage(lifeStage);
 		primaryCollector = Person.NewTitledInstance("Kilian");
 		collector.addTeamMember(primaryCollector);
 		Person secondCollector = Person.NewInstance();
@@ -142,7 +142,7 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 		collector.addTeamMember(secondCollector);
 		Person thirdCollector = Person.NewTitledInstance("Kohlbecker");
 		collector.addTeamMember(thirdCollector);
-		fieldObservation.setPrimaryCollector(primaryCollector);
+		fieldUnit.setPrimaryCollector(primaryCollector);
 
 		specimen.setAccessionNumber(accessionNumber);
 		specimen.setCatalogNumber(catalogNumber);
@@ -156,7 +156,7 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 		//existing specimen with 2 derivation events in line
 		collectionSpecimen = DerivedUnit.NewPreservedSpecimenInstance();
 		DerivedUnit middleSpecimen = DerivedUnit.NewPreservedSpecimenInstance();
-		firstFieldObject = FieldObservation.NewInstance();
+		firstFieldObject = FieldUnit.NewInstance();
 
 		//TODO maybe we should define concrete event types here
 		DerivationEvent lastDerivationEvent = DerivationEvent.NewInstance(null);
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategyTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategyTest.java
new file mode 100644
index 0000000000..f182e8ce37
--- /dev/null
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeFieldUnitCacheStrategyTest.java
@@ -0,0 +1,194 @@
+// $Id$
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.api.facade;
+
+import org.apache.log4j.Logger;
+import org.junit.Assert;
+import org.junit.Before;
+import org.junit.Test;
+
+import eu.etaxonomy.cdm.model.agent.Person;
+import eu.etaxonomy.cdm.model.agent.Team;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
+import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.common.LanguageString;
+import eu.etaxonomy.cdm.model.common.TimePeriod;
+import eu.etaxonomy.cdm.model.location.NamedArea;
+import eu.etaxonomy.cdm.model.location.Point;
+import eu.etaxonomy.cdm.model.location.ReferenceSystem;
+import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.media.Media;
+import eu.etaxonomy.cdm.model.name.BotanicalName;
+import eu.etaxonomy.cdm.model.name.Rank;
+import eu.etaxonomy.cdm.model.name.TaxonNameBase;
+import eu.etaxonomy.cdm.model.occurrence.Collection;
+import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
+import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
+import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
+import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
+import eu.etaxonomy.cdm.test.integration.CdmIntegrationTest;
+
+/**
+ * @author a.mueller
+ * @date 03.06.2010
+ *
+ */
+
+public class DerivedUnitFacadeFieldUnitCacheStrategyTest extends CdmIntegrationTest {
+	@SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(DerivedUnitFacadeFieldUnitCacheStrategyTest.class);
+
+	DerivedUnit specimen;
+	DerivationEvent derivationEvent;
+	FieldUnit fieldUnit;
+	GatheringEvent gatheringEvent;
+	Integer absoluteElevation = 40;
+	Integer absoluteElevationError = 2;
+	Team collector = Team.NewInstance();
+	String collectingMethod = "Collection Method";
+	Double distanceToGround = 22.0;
+	Double distanceToSurface = 50.0;
+	ReferenceSystem referenceSystem = ReferenceSystem.WGS84();
+	Point exactLocation = Point.NewInstance(12.3, 10.567, referenceSystem, 22);
+	String gatheringEventDescription = "A nice gathering description";
+	TimePeriod gatheringPeriod = TimePeriod.parseString("03.05.2005");
+	String ecology = "sand dunes";
+	String plantDescription = "flowers blue";
+
+	String fieldNumber = "5678";
+	String fieldNotes = "such a beautiful specimen";
+	Person primaryCollector;
+
+	Integer individualCount = 1;
+	DefinedTerm lifeStage = DefinedTerm.NewStageInstance("A wonderful stage", "stage", "st");
+	DefinedTerm sex = DefinedTerm.NewSexInstance("FemaleMale", "FM", "FM");
+	LanguageString locality = LanguageString.NewInstance("Berlin-Dahlem, E side of Englerallee", Language.DEFAULT());
+	NamedArea country = WaterbodyOrCountry.GERMANY();
+
+	String exsiccatum = "Greuter, Pl. Dahlem. 456";
+	String accessionNumber = "8909756";
+	String catalogNumber = "UU879873590";
+	TaxonNameBase<?,?> taxonName = BotanicalName.NewInstance(Rank.GENUS(), "Abies", null, null, null, null, null, null, null);
+	String collectorsNumber = "234589913A34";
+	Collection collection = Collection.NewInstance();
+
+	PreservationMethod preservationMethod = PreservationMethod.NewInstance("my prservation", null, null);
+
+	DerivedUnitFacade specimenFacade;
+
+	DerivedUnit collectionSpecimen;
+	GatheringEvent existingGatheringEvent;
+	DerivationEvent firstDerivationEvent;
+	FieldUnit firstFieldObject;
+	Media media1 = Media.NewInstance();
+
+
+//****************************** SET UP *****************************************/
+
+	/**
+	 * @throws java.lang.Exception
+	 */
+//	@BeforeClass
+//	public static void setUpBeforeClass() throws Exception {
+		// FIXME maybe this will cause problems in other tests
+		//		new DefaultTermInitializer().initialize();
+		// INDEED !!!! it causes problems thus this is replaced by making this test a  CdmIntegrationTest !!!
+//	}
+
+	/**
+	 * @throws java.lang.Exception
+	 */
+	@Before
+	public void setUp() throws Exception {
+		specimen = DerivedUnit.NewPreservedSpecimenInstance();
+
+		derivationEvent = DerivationEvent.NewInstance(DerivationEventType.ACCESSIONING());
+		specimen.setDerivedFrom(derivationEvent);
+		fieldUnit = FieldUnit.NewInstance();
+		fieldUnit.addDerivationEvent(derivationEvent);
+		gatheringEvent = GatheringEvent.NewInstance();
+		fieldUnit.setGatheringEvent(gatheringEvent);
+		gatheringEvent.setAbsoluteElevation(absoluteElevation);
+//		gatheringEvent.setAbsoluteElevationError(absoluteElevationError);
+		gatheringEvent.setActor(collector);
+		gatheringEvent.setCollectingMethod(collectingMethod);
+		gatheringEvent.setDistanceToGround(distanceToGround);
+		gatheringEvent.setDistanceToWaterSurface(distanceToSurface);
+		gatheringEvent.setExactLocation(exactLocation);
+		gatheringEvent.setDescription(gatheringEventDescription);
+
+		gatheringEvent.setTimeperiod(gatheringPeriod);
+		gatheringEvent.setLocality(locality);
+		gatheringEvent.setCountry(country);
+
+		fieldUnit.setFieldNumber(fieldNumber);
+		fieldUnit.setFieldNotes(fieldNotes);
+		fieldUnit.setIndividualCount(individualCount);
+		fieldUnit.setSex(sex);
+		fieldUnit.setLifeStage(lifeStage);
+		primaryCollector = Person.NewTitledInstance("Kilian");
+		collector.addTeamMember(primaryCollector);
+		Person secondCollector = Person.NewInstance();
+		secondCollector.setFirstname("Andreas");
+		secondCollector.setLastname("Muller");
+		collector.addTeamMember(secondCollector);
+		Person thirdCollector = Person.NewTitledInstance("Kohlbecker");
+		collector.addTeamMember(thirdCollector);
+		fieldUnit.setPrimaryCollector(primaryCollector);
+
+		specimen.setAccessionNumber(accessionNumber);
+		specimen.setCatalogNumber(catalogNumber);
+		specimen.setStoredUnder(taxonName);
+		specimen.setCollection(collection);
+		specimen.setPreservation(preservationMethod);
+		specimen.setExsiccatum(exsiccatum);
+
+		specimenFacade = DerivedUnitFacade.NewInstance(specimen);
+
+		//existing specimen with 2 derivation events in line
+		collectionSpecimen = DerivedUnit.NewPreservedSpecimenInstance();
+		DerivedUnit middleSpecimen = DerivedUnit.NewPreservedSpecimenInstance();
+		firstFieldObject = FieldUnit.NewInstance();
+
+		//TODO maybe we should define concrete event types here
+		DerivationEvent lastDerivationEvent = DerivationEvent.NewInstance(null);
+		DerivationEvent middleDerivationEvent = DerivationEvent.NewInstance(null);
+		firstDerivationEvent = DerivationEvent.NewInstance(null);
+
+		collectionSpecimen.setDerivedFrom(lastDerivationEvent);
+
+		lastDerivationEvent.addOriginal(middleSpecimen);
+		middleSpecimen.setDerivedFrom(firstDerivationEvent);
+		firstDerivationEvent.addOriginal(firstFieldObject);
+		existingGatheringEvent = GatheringEvent.NewInstance();
+		firstFieldObject.setGatheringEvent(existingGatheringEvent);
+
+	}
+	/**
+	 * Test method for {@link eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeCacheStrategy#getTitleCache(eu.etaxonomy.cdm.model.occurrence.Specimen)}.
+	 */
+	@Test
+	public void testGetTitleCache() {
+		String correctCache = "Germany, Berlin-Dahlem, E side of Englerallee, alt. 40 m, 10\u00B034'1.2\"N, 12\u00B018'E (WGS84), sand dunes, 3.5.2005, Kilian 5678, A. Muller & Kohlbecker; flowers blue.";
+		specimenFacade.setEcology(ecology);
+		specimenFacade.setPlantDescription(plantDescription);
+		collection.setCode("B");
+		Assert.assertEquals(correctCache, specimenFacade.innerFieldUnit().getTitleCache());
+		
+		String altitudeText = "approx. 40";
+		specimenFacade.setAbsoluteElevationText(altitudeText);
+		correctCache = correctCache.replace("alt. 40 m", "alt. "+ altitudeText + " m");
+		Assert.assertEquals(correctCache, specimenFacade.innerFieldUnit().getTitleCache());
+		
+	}
+
+}
